Subject: bug#29984: closed (Re: bug#29984: core-updates: GRUB test failures)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 29 Jan 2018 12:14:02 +0000

Your bug report

#29984: core-updates: GRUB tests hang after file_filter_test

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29984: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29984
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#29984: core-updates: GRUB test failures
From: Mark H Weaver <[email-masked]>
To: Leo Famulari <[email-masked]>
Cc: [email-masked], Ludovic Courtès <[email-masked]>
Date: Mon, 29 Jan 2018 07:12:35 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Leo Famulari <[email-masked]> writes:

> On Mon, Jan 08, 2018 at 11:56:47AM +0100, Ludovic Courtès wrote:
>> Leo Famulari <[email-masked]> skribis:
>> 
>> > On Thu, Jan 04, 2018 at 03:05:11PM -0500, Leo Famulari wrote:
>> >> FAIL: grub_func_test
>> >
>> > I saved the failed build tree to get at this test's log. The full
>> > contents of the log are this line:
>> >
>> > Functional test failure:
>> 
>> Nice.  What does upstream say?  :-)
>
> I'm working on this today; I'll send them a bug report soon.
>
> I'm going to try skipping the tests to see if this GRUB can boot a
> system, and I'm also going to try running the tests on the latest commit
> from the upstream Git repo.

I believe this is now fixed, by commit
0a2a70539bdf42d59c9be5fcbc88a1c14743303a on core-updates.

The problem turned out to be that GRUB's build system couldn't find
'freetype', because 'pkg-config' was missing from the build environment.
This disabled font generation, as I discovered when I booted into a
core-updates system and found that GRUB was unable to find its font.

After I fixed that problem, I was pleased to find that the test suite
started succeeding again as well :)

I'm closing this bug now.

      Mark

Subject: core-updates: GRUB tests hang after file_filter_test
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Thu, 4 Jan 2018 15:01:05 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

While building GRUB for x86_64-linux on core-updates, the test suite
appears to hang after file_filter_test.

As far as I can see, the test suite is waiting for *something*, not
actually doing any work.